Subject: Re: snapdragons/dusty miller - annuals or perenials, or ?

From: [email-masked] (Sheryl Todd)
Date: 4 Apr 1995 05:28:39 GMT

Cara, Our snapdragons did the same thing as yours. We've been here in 
western Colorado for two years and they survived the winter. We don't 
have dusty millers though so I can say about that.

Sheryl